Search the Community
Showing results for tags 'overlapping lines'.
-
Detect overlapping lines and draw new lines
teknomatika posted a topic in AutoLISP, Visual LISP & DCL
(defun c:t1 (/ en enlist1 enn enlist2 p1 p2) (setq oldclay (getvar "clayer")) (command "layer" "new" "nlines" "color" "2" "nlines" "") (command "layer" "set" "nlines" "") (setq en(car (entsel "\n Select 1 line: "))) (setq enlist1(entget en)) (setq enn(car (entsel "\n Select 2 line: "))) (setq enlist2(entget enn)) (setq p1 (cdr(assoc 11 enlist1))) (setq p2 (cdr(assoc 10 enlist2))) (command "_.line" p1 "_non" p2 "_non" "") (setvar "clayer" oldclay) (princ) ) Thanks to anyone who can and want to help: Do not know if I've put this question, or like, another time: Following the principle of this simple routine, I intend to expand it to a more global task, allowing within a range of lines (not just selecting one by one), are new lines drawn between the points of overlap. To better understand an image attachment. -
Overlapping Lines - Pop up only happens for one Line
lafrazee posted a topic in AutoCAD Drawing Management & Output
I set up a new template for the office and there is one odd thing in the new template. In our old template, if 2 lines were on top of each other and you moved your cursor over the lines, each line would be "highlighted" and the properties would be shown for the line (just like if you hover over any other object in the drawing). In the new template, the shorter of the 2 lines, never becomes "highlighted" and the properties never show up, so I can't just select the line and delete it. Is this a setting I can turn on/off? I know there are many ways to delete overlapping lines, but I would really like to be able to select the line. Any advice?